summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-12-26 06:16:40 +0000
committerMike Frysinger <vapier@gentoo.org>2004-12-26 06:16:40 +0000
commit776e860558c1494ddabe7bde1dcc1f55cc88e612 (patch)
tree00bfbe179c22338accfaf19a410d1d70ca92510d /eclass
parentRemoved old ebuilds and marked 0.8.3-r3 stable on x86, ppc and alpha. (diff)
downloadhistorical-776e860558c1494ddabe7bde1dcc1f55cc88e612.tar.gz
historical-776e860558c1494ddabe7bde1dcc1f55cc88e612.tar.bz2
historical-776e860558c1494ddabe7bde1dcc1f55cc88e612.zip
handle params from horde ebuilds
Diffstat (limited to 'eclass')
-rw-r--r--eclass/horde.eclass9
1 files changed, 7 insertions, 2 deletions
diff --git a/eclass/horde.eclass b/eclass/horde.eclass
index 724807224c2b..8d723950a9a9 100644
--- a/eclass/horde.eclass
+++ b/eclass/horde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/horde.eclass,v 1.15 2004/12/24 07:51:59 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/horde.eclass,v 1.16 2004/12/26 06:16:40 vapier Exp $
#
# Help manage the horde project http://www.horde.org/
#
@@ -55,7 +55,12 @@ horde_pkg_setup() {
webapp_pkg_setup
if [[ ! -z ${HORDE_PHP_FEATURES} ]] ; then
- if ! built_with_use mod_php ${HORDE_PHP_FEATURES} ; then
+ local param
+ if [[ ${HORDE_PHP_FEATURES:0:2} = "-o" ]] ; then
+ param="-o"
+ HORDE_PHP_FEATURES=${HORDE_PHP_FEATURES:2}
+ fi
+ if ! built_with_use ${param} mod_php ${HORDE_PHP_FEATURES} ; then
eerror "You MUST re-emerge ${phpver} with at least one of"
eerror "the following options in your USE:"
eerror " ${HORDE_PHP_FEATURES}"